package com.microservices.pms.project.service;

import com.microservices.common.core.web.page.GenericsTableDataInfo;
import com.microservices.pms.project.domain.PmsProjectTestReport;
import com.microservices.pms.project.domain.vo.*;

import java.util.List;

/**
 * 测试报告Service接口
 * 
 * @author wanjia
 * @date 2023-12-14
 */
public interface IPmsProjectTestReportService 
{
    /**
     * 查询测试报告
     * 
     * @param id 测试报告主键
     * @return 测试报告
     */
    public PmsProjectTestReportDetailVo selectPmsProjectTestReportDetailById(Long id);

    /**
     * 查询测试报告列表
     * 
     * @param pmsProjectTestReport 测试报告
     * @return 测试报告集合
     */
    public List<PmsProjectTestReport> selectPmsProjectTestReportList(PmsProjectTestReport pmsProjectTestReport);

    /**
     * 新增测试报告
     * 
     * @param pmsProjectTestReport 测试报告
     * @return 结果
     */
    public int insertPmsProjectTestReport(PmsProjectTestReport pmsProjectTestReport);

    /**
     * 修改测试报告
     * 
     * @param pmsProjectTestReport 测试报告
     * @return 结果
     */
    public int updatePmsProjectTestReport(PmsProjectTestReport pmsProjectTestReport);

    /**
     * 批量删除测试报告
     * 
     * @param ids 需要删除的测试报告主键集合
     * @return 结果
     */
    public int deletePmsProjectTestReportByIds(Long[] ids);

    GenericsTableDataInfo<PmsProjectTestReportDetailVo> selectPmsProjectTestReportList(PmsProjectTestReportSearchVo pmsProjectTestReportSearchVo);

    int insertPmsProjectTestReportByInputVo(PmsProjectTestReportInputVo pmsProjectTestReportInputVo);

    int updatePmsProjectTestReportByUpdateVo(PmsProjectTestReportUpdateVo pmsProjectTestReportUpdateVo);

    PmsProjectTestReportChartVo selectPmsProjectTestReportChartById(Long id);
}
